using UnityEngine;

public class PlayerMovement : MonoBehaviour
{
    public CharacterController controller;
    public Transform groundCheck;
    public LayerMask groundMask;
    public float groundDistance = 0.1f;
    public float speed = 20f;
    public float gravity = 9.82f;

    private float yVelocity = 0;
    
    void Update()
    {
        bool isOnGround = Physics.CheckSphere(groundCheck.position, groundDistance, groundMask);

        if (isOnGround && yVelocity <= 0)
        {
            if (Input.GetKeyDown(KeyCode.Space))
                yVelocity = 5;
            else
                yVelocity = -2f;
        }
        else 
            yVelocity -= gravity * Time.deltaTime;

        float x = Input.GetAxisRaw("Horizontal");
        float z = Input.GetAxisRaw("Vertical");
        Vector3 movementVector = Vector3.Normalize(transform.right * x + transform.forward * z) * speed * Time.deltaTime;
        
        movementVector.y = yVelocity * Time.deltaTime;
        controller.Move(movementVector);
    }
}
