using UnityEngine;

public class Tree : MonoBehaviour
{
    public GameObject pauseOverlay;
    public BlocksTalkerObject talkerObject;

    void Start()
    {
        talkerObject.Talker.SubscribeProperty("Spot.DisplaySpot.active", OnBlocksAttractorStateChange);
    }

    private void OnTriggerEnter(Collider other)
    {
        pauseOverlay.SetActive(true);
        Time.timeScale = 0;
        talkerObject.Talker.SetProperty("Spot.DisplaySpot.active", true);
    }

    private void OnBlocksAttractorStateChange(System.Object value)
    {
        if (value.ToString() == "False")
        {
            pauseOverlay.SetActive(false);
            Time.timeScale = 1;
        }
    }
}
